package com.qs.mp.common.service;

import com.qs.mp.admin.domain.param.ShippingTemplateParam;
import com.qs.mp.common.domain.ShippingTemplate;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 运费模板表 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-04-29
 */
public interface IShippingTemplateService extends IService<ShippingTemplate> {

    /**
     * 新增运费模板
     * @param shippingTemplateParam 运费模板入参类
     * @return
     */
    boolean create(ShippingTemplateParam shippingTemplateParam);

    /**
     * 更新运费模板
     * @param shippingTemplateParam 运费模板入参类
     * @return
     */
    boolean updateShippingTemplate(ShippingTemplateParam shippingTemplateParam);
}
